io.vertx.ext.auth.htpasswd

## Class HtpasswdAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.htpasswd.HtpasswdAuthOptions

- All Implemented Interfaces:
    AuthOptions

      public class HtpasswdAuthOptions
      extends Object
      implements AuthOptions

  Options configuring htpasswd authentication.
  Author:
    Neven Radovanović

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtpasswdAuthOptions()`
    `HtpasswdAuthOptions(HtpasswdAuthOptions that)`
    `HtpasswdAuthOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthOptions` | `clone()`
    `AuthProvider` | `createProvider(Vertx vertx)` Create the suitable provider for this option.
    `String` | `getHtpasswdFile()`
    `boolean` | `isPlainTextEnabled()`
    `HtpasswdAuthOptions` | `setHtpasswdFile(String htpasswdFile)`
    `HtpasswdAuthOptions` | `setPlainTextEnabled(boolean plainTextEnabled)`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtpasswdAuthOptions

          public HtpasswdAuthOptions()

    - #### HtpasswdAuthOptions

          public HtpasswdAuthOptions(JsonObject json)

    - #### HtpasswdAuthOptions

          public HtpasswdAuthOptions(HtpasswdAuthOptions that)

  - ### Method Detail

    - #### setPlainTextEnabled

          public HtpasswdAuthOptions setPlainTextEnabled(boolean plainTextEnabled)

    - #### isPlainTextEnabled

          public boolean isPlainTextEnabled()

    - #### getHtpasswdFile

          public String getHtpasswdFile()

    - #### setHtpasswdFile

          public HtpasswdAuthOptions setHtpasswdFile(String htpasswdFile)

    - #### clone

          public AuthOptions clone()

      Specified by:
        `clone` in interface `AuthOptions`
      Overrides:
        `clone` in class `Object`

    - #### createProvider

          public AuthProvider createProvider(Vertx vertx)

      Description copied from interface: `AuthOptions`
      Create the suitable provider for this option.
      Specified by:
        `createProvider` in interface `AuthOptions`
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the auth provider

    - #### toJson

          public JsonObject toJson()

Copyright © 2019 Eclipse. All rights reserved.